Skip to main content
PATCH
Partially update studio template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

studioTemplateId
integer<int64>
required

ID of the widget studio template object

Body

application/json
id
integer<int64>

ID of the widget studio template

isFavorite
boolean

Indicates if a user marked the template as a favorite

siteId
integer<int64>

Site ID of the project this widget studio template belongs to

studioTemplate
string

Data that belongs to this widget studio template

widgetId
integer<int64>

Widget that Kameleoon can parse and use as a studio template

Response

OK

siteId
integer<int64>
required

Site ID of the widget studio template.

id
integer<int64>
read-only

Unique ID of the given widget studio template.

isFavorite
boolean

Indicates if a user marked the template as a favorite.

studioTemplate
string

Widget studio template data that belongs to this template.

widgetId
integer<int64>

Widget that Kameleoon can parse and use as a studio template.